%global namedreltag -incubating
%global namedversion %{version}%{?namedreltag}
%global api_version 2.1
%global api_name tuscany-sdo-api-r%{api_version}

Name:          sdo-api-java
Version:       1.1.1
Release:       %mkrel 1
Summary:       Service Data Objects 2.1 Java API spec
Group:         Development/Java
License:       ASL
Url:           http://tuscany.apache.org/sdo-java.html
# svn export http://svn.apache.org/repos/asf/tuscany/sdo-java/tags/1.1.1 sdo-java-1.1.1
# tar czf sdo-java-1.1.1-src-svn.tar.gz sdo-java-1.1.1
Source0:       sdo-java-1.1.1-src-svn.tar.gz

Patch0:        sdo-java-1.1.1-pom.patch
# TODO
# tools BR
# org.eclipse.emf ecore codegen codegen-ecore 2.2.3 scope>compile
# org.eclipse.xsd xsd 2.2.3 scope>compile
# lib BR
# stax stax-api 1.0.1 scope>provided

BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: tuscany-parent

BuildRequires: junit

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-plugin

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
SDO is a framework for data application development, which
includes an architecture and API. SDO does the following:

- Simplifies the J2EE data programming model
- Abstracts data in a service oriented architecture (SOA)
- Unifies data application development
- Supports and integrates XML
- Incorporates J2EE patterns and best practices
.
With SDO, you do not need to be familiar with a
technology-specific API in order to access and utilize data.
You need to know only one API, the SDO API, which lets you
work with data from multiple data sources, including
relational databases, entity EJB components, XML pages, Web
services, the Java Connector Architecture, JavaServer Pages
pages, and more.
.
This package contains only a Java API of SDO 2.1 spec.
EclipseLink is a implementation of this spec.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n sdo-java-%{version}
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 %{buildroot}%{_javadir}
cp -p sdo-api/target/%{api_name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-tuscany-sdo.pom
install -pm 644 sdo-api/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-tuscany-sdo.pom
%add_to_maven_depmap org.apache.tuscany.sdo %{api_name} %{namedversion} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc DISCLAIMER LICENSE NOTICE README RELEASE_NOTES

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Oct 19 2011 gil <gil> 1.1.1-1.mga2
+ Revision: 156602
- imported package sdo-api-java

